import { Container } from "@mantine/core";

import { serverSideTranslations } from "next-i18next/serverSideTranslations";

import Header from "../components/header";
import Events from "../components/events";
import About from "../components/about";

export default function Home() {
  return (
    <>
      <section className="light">
        <Container size="xl">
          <Header />
        </Container>
      </section>
      <section className="dark">
        <Container size="xl">
          <Events />
        </Container>
      </section>
      <section className="light">
        <Container size="xl">
          <About />
        </Container>
      </section>
    </>
  );
}

export async function getStaticProps({ locale }) {
  return {
    props: {
      ...(await serverSideTranslations(locale, ["common"])),
      protected: false,
    },
  };
}
